aboutsummaryrefslogtreecommitdiffstats
path: root/main/newt/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-20 14:47:10 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-20 14:49:03 +0000
commit5d568f0381ad4cf41354cec0bd3e7e12d3f05d60 (patch)
tree84ad9f8ff9d456ccc10dd0acefe6384aa00357dc /main/newt/APKBUILD
parent769f0c906507c54ea836aeb3fc85f075ca723691 (diff)
downloadaports-5d568f0381ad4cf41354cec0bd3e7e12d3f05d60.tar.gz
aports-5d568f0381ad4cf41354cec0bd3e7e12d3f05d60.tar.bz2
aports-5d568f0381ad4cf41354cec0bd3e7e12d3f05d60.tar.xz
main/newt: upgrade to 0.52.11
and create py-newt sub package
Diffstat (limited to 'main/newt/APKBUILD')
-rw-r--r--main/newt/APKBUILD18
1 files changed, 12 insertions, 6 deletions
diff --git a/main/newt/APKBUILD b/main/newt/APKBUILD
index c87d36e986..858ecd265f 100644
--- a/main/newt/APKBUILD
+++ b/main/newt/APKBUILD
@@ -1,20 +1,20 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=newt
-pkgver=0.52.10
-pkgrel=1
+pkgver=0.52.11
+pkgrel=0
pkgdesc="Redhat's Newt windowing toolkit development files"
url="https://fedorahosted.org/newt/"
license="LGPL-2"
depends=
makedepends="slang-dev popt-dev python-dev ncurses-dev wget"
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-dev $pkgname-doc py-newt:py"
source="https://fedorahosted.org/releases/n/e/newt/newt-$pkgver.tar.gz
- $pkgname-0.52.7-notcl.patch
"
prepare() {
cd "$srcdir"/$pkgname-$pkgver
for i in ../*.patch; do
+ [ -r "$i" ] || continue
msg "Applying $i..."
patch -p1 < $i || return 1
done
@@ -38,5 +38,11 @@ package() {
make -j1 DESTDIR="$pkgdir" prefix="/usr" RPM_OPT_FLAGS="ERROR" install \
|| true
}
-md5sums="bcbcc87ec19ba37d34f819209afa2e15 newt-0.52.10.tar.gz
-6780156f3b66a3f05efe1ee821617031 newt-0.52.7-notcl.patch"
+
+py() {
+ pkgdesc="A NEWT module for Python"
+ mkdir -p "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
+}
+
+md5sums="4b9a0685ecd180c42d2c4a5806e3fc52 newt-0.52.11.tar.gz"